<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 01200_TEE_ResetPropertyEnumerator</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>01200_TEE_ResetPropertyEnumerator<br/>
<small>
[<a class="el" href="group___g_p__010___properties.html">GP_010_Properties</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___reset_property_enumerator.html#gace7714ac054ed60bdee2b4968daf5cbc">TestCase_GC068_Start12Enumerators</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___reset_property_enumerator.html#ga16df1133051831457f5484c58bd5db50">TestCase_BC069_enumeratorNull</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<dl class="user"><dt><b>Description:</b></dt><dd>: Resets a property enumerator.</dd></dl>
<p>void TEE_ResetPropertyEnumerator( TEE_PropSetHandle enumerator );</p>
<p>For this test, we will need at least one TA.</p>
<p>Pre: Open a session to a GPTA.</p>
<p>Post: Close session and check that it succeeds. </p>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gace7714ac054ed60bdee2b4968daf5cbc"></a><!-- doxytag: member="01200_TEE_ResetPropertyEnumerator.cpp::TestCase_GC068_Start12Enumerators" ref="gace7714ac054ed60bdee2b4968daf5cbc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC068_Start12Enumerators </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Test the functionality of TEE_ResetPropertyEnumerator(). </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>In a loop, 12 iterations:<ul>
<li>Call TEE_AllocatePropertyEnumerator(), verify that the result is TEE_SUCCESS, alternating on 3 property sets: -- TEE_PROPSET_CURRENT_TA -- TEE_PROPSET_CURRENT_CLIENT -- TEE_PROPSET_TEE_IMPLEMENTATION</li>
<li>Call TEE_GetPropertyName() to get the name of the first property and store it for each enumerator</li>
<li>Call TEE_GetNextProperty() a random number of times from 1-5 on each enumerator</li>
<li>if TEE_GetNextProperty() returns TEE_SUCCESS, call TEE_GetPropertyName() to get the current property name and verify that it does not match the initial name In a loop, 12 iterations:</li>
<li>Call TEE_ResetPropertyEnumerator()</li>
<li>Call TEE_GetPropertyName() and make sure it matches the initial name for the enumerator Call TEE_FreePropertyEnumerator() in a loop to free all previously-allocated enumerators </li>
</ul>
</dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.01200_TEE_ResetPropertyEnumerator.GC068_Start12Enumerators </dd></dl>

</div>
</div>
<a class="anchor" id="ga16df1133051831457f5484c58bd5db50"></a><!-- doxytag: member="01200_TEE_ResetPropertyEnumerator.cpp::TestCase_BC069_enumeratorNull" ref="ga16df1133051831457f5484c58bd5db50" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC069_enumeratorNull </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Attempt to reset a NULL enumerator. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call TEE_ResetPropertyEnumerator() with NULL enumerator, which should cause a TA panic </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.01200_TEE_ResetPropertyEnumerator.BC069_enumeratorNull </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
